<?php
class fields_list_options extends myQuicty {

function __construct($page) {
	parent::__construct();
	$this->page = $page;
	$this->list = $this->page->list;
}

var $perPage = 100;

function get_pager_option($add_condition='') {
	$where_condition = $this->make_where_condition($add_condition);
	$join_condition = $this->make_join_condition();
	$select_condition = $join_condition.' '.$where_condition;
	$pager_option = $this->set_pager_option($this->perPage,$select_condition);
	return $pager_option;
}

function make_where_condition($add_condition='') {
	$search_system = array(
		'keyword'=>array('title'=>'fields.name','url'=>'fields.url'), // keyword search target column
		'condition'=>array('id'=>'fields.id','application_id'=>'fields.application_id') // id search target column
		);
	return $this->list->make_condition($search_system,$add_condition);
}

function make_join_condition() {
	//$this->list->real_count = true; // set this flag if join other table
	//$join_condition = "left join {table_name} on fields.id={table_name}.fields_id";
	return $join_condition;
}

function make_select_fields() {
	$select_system = array(
		'fields'=>'*', // specify all column
		//'fields'=>array('id','name','url'), // specify each column
		//'fields'=>array('id'=>'fields_id'), //specify another column name
		);
	return $this->list->make_select_fields($select_system);
}

function make_sort_condition() {
	$sort_system = array(
		'default'=>' order by id desc',
		'colums'=>array('id','name','url') // sort keys
		);
	return $this->list->make_order($sort_system);
}

} // end of class fields_list_options
?>